diff --git a/web/config.py b/web/config.py
index 926a87b..ed28438 100644
--- a/web/config.py
+++ b/web/config.py
@@ -252,7 +252,6 @@ SESSION_DB_PATH = os.path.join(DATA_DIR, 'sessions')
 
 SESSION_COOKIE_NAME = 'pga4_session'
 
-SESSION_COOKIE_DOMAIN = DEFAULT_SERVER
 ##########################################################################
 # Mail server settings
 ##########################################################################
@@ -361,8 +360,8 @@ SHOW_GRAVATAR_IMAGE = True
 # Set cookie path
 ##########################################################################
 COOKIE_DEFAULT_PATH = '/'
-COOKIE_DEFAULT_DOMAIN = DEFAULT_SERVER
-
+COOKIE_DEFAULT_DOMAIN = None
+SESSION_COOKIE_DOMAIN = None
 ##########################################################################
 # Local config settings
 ##########################################################################
diff --git a/web/pgadmin/__init__.py b/web/pgadmin/__init__.py
index 2f27d07..4e57abf 100644
--- a/web/pgadmin/__init__.py
+++ b/web/pgadmin/__init__.py
@@ -541,13 +541,6 @@ def create_app(app_name=None):
         app.logger.info('Registering blueprint module: %s' % module)
         app.register_blueprint(module)
 
-    #########################################################################
-    # Set cookie path
-    #########################################################################
-    @app.before_first_request
-    def before_first_request():
-        from pgadmin.utils.paths import get_cookie_path
-        config.COOKIE_DEFAULT_PATH = get_cookie_path()
 
     ##########################################################################
     # Handle the desktop login
@@ -586,7 +579,8 @@ def create_app(app_name=None):
     def after_request(response):
         if 'key' in request.args:
             domain = dict()
-            if config.COOKIE_DEFAULT_DOMAIN != 'localhost':
+            if config.COOKIE_DEFAULT_DOMAIN and\
+                    config.COOKIE_DEFAULT_DOMAIN != 'localhost':
                 domain['domain'] = config.COOKIE_DEFAULT_DOMAIN
             response.set_cookie('PGADMIN_KEY', value=request.args['key'],
                                 path=config.COOKIE_DEFAULT_PATH,
diff --git a/web/pgadmin/browser/__init__.py b/web/pgadmin/browser/__init__.py
index 34d0c86..724e677 100644
--- a/web/pgadmin/browser/__init__.py
+++ b/web/pgadmin/browser/__init__.py
@@ -799,7 +799,8 @@ def index():
         language = user_languages.get() or 'en'
 
     domain = dict()
-    if config.COOKIE_DEFAULT_DOMAIN != 'localhost':
+    if config.COOKIE_DEFAULT_DOMAIN and\
+            config.COOKIE_DEFAULT_DOMAIN != 'localhost':
         domain['domain'] = config.COOKIE_DEFAULT_DOMAIN
 
     response.set_cookie("PGADMIN_LANGUAGE", value=language,
diff --git a/web/pgadmin/preferences/__init__.py b/web/pgadmin/preferences/__init__.py
index 9c14cc2..6358841 100644
--- a/web/pgadmin/preferences/__init__.py
+++ b/web/pgadmin/preferences/__init__.py
@@ -200,7 +200,8 @@ def save(pid):
         language = user_languages.get() or language
 
     domain = dict()
-    if config.COOKIE_DEFAULT_DOMAIN != 'localhost':
+    if config.COOKIE_DEFAULT_DOMAIN and\
+            config.COOKIE_DEFAULT_DOMAIN != 'localhost':
         domain['domain'] = config.COOKIE_DEFAULT_DOMAIN
 
     setattr(session, 'PGADMIN_LANGUAGE', language)
